Name:           tralics
Version:        2.15.1
Release:        3%{?dist}
Summary:        LaTeX to XML translator
License:        CeCILL
URL:            http://www-sop.inria.fr/apics/tralics/
Source0:        ftp://ftp-sop.inria.fr/marelle/tralics/src/%{name}-src-%{version}.tar.gz
BuildRequires:  texlive-collection-latexextra

%description
Tralics is a free software whose purpose is to convert a LaTeX document into 
an XML file. It is used since 2002 for instance to produce the Inria's 
annual activity report.

%prep
%setup -q
for f in Licence_CeCILL_V2-en.txt ChangeLog
    do
      iconv -f ISO-8859-15 -t utf-8	\
      ${f} > ${f}.conv &&               \
      touch -r ${f} ${f}.conv &&        \
      mv -f ${f}.conv ${f}
    done
sed -i 's|tralics $(OBJECTS)|tralics $(OBJECTS) $(LDFLAGS)|' src/Makefile

%build
make -C src/ CPPFLAGS="%{optflags}                     \
             -DTRALICSDIR=\\\"%{_datadir}/%{name}\\\"  \
             -DCONFDIR=\\\"%{_sysconfdir}/%{name}\\\"" \
             LDFLAGS="%{?__global_ldflags}" %{?_smp_mflags}
rm -rf confdir/{README,COPYING}

%install
install -pDm755 src/%{name} %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -pm644 confdir/* %{buildroot}%{_datadir}/%{name}/

%check
cd Test && ./alltests

%files
%doc ChangeLog COPYING Copyright Licence_CeCILL_V2-en.txt README
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog
* Fri Oct 25 2013 Christopher Meng <rpm@cicku.me> - 2.15.1-3
- Pass proper flags to make.
- Fix UTF issues of docs.

* Mon Oct 07 2013 Christopher Meng <rpm@cicku.me> - 2.15.1-2
- Move files to /usr/share so it can be found by other programs.

* Mon Jul 29 2013 Christopher Meng <rpm@cicku.me> - 2.15.1-1
- Initial Package.
